aagc.vo

## Class PrescrizioniMediciInAltreASLRequest

- java.lang.Object
- - aagc.vo.PrescrizioniMediciInAltreASLRequest

-     public class PrescrizioniMediciInAltreASLRequest
      extends java.lang.Object

  Classe Java per prescrizioniMediciInAltreASLRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="prescrizioniMediciInAltreASLRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codNazionaleASL">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="meseRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="12"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="annoRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="2999"/>
                     <minInclusive value="1960"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `annoRiferimento`
    `protected java.lang.String` | `codNazionaleASL`
    `protected int` | `meseRiferimento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioniMediciInAltreASLRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnnoRiferimento()` Recupera il valore della proprietà annoRiferimento.
    `java.lang.String` | `getCodNazionaleASL()` Recupera il valore della proprietà codNazionaleASL.
    `int` | `getMeseRiferimento()` Recupera il valore della proprietà meseRiferimento.
    `void` | `setAnnoRiferimento(int value)` Imposta il valore della proprietà annoRiferimento.
    `void` | `setCodNazionaleASL(java.lang.String value)` Imposta il valore della proprietà codNazionaleASL.
    `void` | `setMeseRiferimento(int value)` Imposta il valore della proprietà meseRiferimento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codNazionaleASL

          protected java.lang.String codNazionaleASL

    - #### meseRiferimento

          protected int meseRiferimento

    - #### annoRiferimento

          protected int annoRiferimento

  - ### Constructor Detail

    - #### PrescrizioniMediciInAltreASLRequest

          public PrescrizioniMediciInAltreASLRequest()

  - ### Method Detail

    - #### getCodNazionaleASL

          public java.lang.String getCodNazionaleASL()

      Recupera il valore della proprietà codNazionaleASL.
      Returns:
        possible object is `String`

    - #### setCodNazionaleASL

          public void setCodNazionaleASL(java.lang.String value)

      Imposta il valore della proprietà codNazionaleASL.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseRiferimento

          public int getMeseRiferimento()

      Recupera il valore della proprietà meseRiferimento.

    - #### setMeseRiferimento

          public void setMeseRiferimento(int value)

      Imposta il valore della proprietà meseRiferimento.

    - #### getAnnoRiferimento

          public int getAnnoRiferimento()

      Recupera il valore della proprietà annoRiferimento.

    - #### setAnnoRiferimento

          public void setAnnoRiferimento(int value)

      Imposta il valore della proprietà annoRiferimento.